#
# spec file for package trace-cmd
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           trace-cmd
Url:            http://elinux.org/Ftrace
Summary:        Configuration tool for Ftrace
License:        GPL-2.0 and LGPL-2.1
Group:          Development/Tools/Debuggers
Version:        2.5.1
Release:        6.1
Source0:        trace-cmd-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  asciidoc
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  gtk2-devel
BuildRequires:  libxml2-devel
BuildRequires:  swig
%if 0%{?suse_version} > 1200
BuildRequires:  xsltproc
%else
BuildRequires:  libxslt
%endif
Patch1:         makefile-lib64.patch

%description
trace-cmd is a command-line tool for configuring Ftrace.

%prep
%setup -q
%patch1 -p1

%package -n kernelshark
Summary:        GUI for trace-cmd
Group:          Development/Tools/IDE

%description -n kernelshark
Graphical front-end for trace-cmd.

%build
make %{?_smp_mflags} prefix=%{_prefix} trace-cmd
make %{?_smp_mflags} prefix=%{_prefix} gui
make %{?_smp_mflags} MANPAGE_DOCBOOK_XSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/manpages/docbook.xsl doc

%install
%makeinstall prefix=%{_prefix} install_cmd
%makeinstall prefix=%{_prefix} install_doc
%makeinstall prefix=%{_prefix} install_gui
chmod a-x `find $RPM_BUILD_ROOT/%{_mandir}/ -type f`
chmod a-x `find $RPM_BUILD_ROOT/%{_datadir}/kernelshark -type f`

%files
%defattr(-,root,root)
%{_bindir}/trace-cmd
%{_libdir}/trace-cmd
%{_mandir}/man1/trace-cmd*
%{_mandir}/man1/kernelshark*
%{_mandir}/man5/trace-cmd.dat*

%files -n kernelshark
%defattr(-,root,root)
%{_bindir}/kernelshark
%{_bindir}/trace-graph
%{_bindir}/trace-view
%{_datadir}/kernelshark

%changelog
* Wed Jan 28 2015 mgorman@suse.com
- Upgrade to version 2.5.1
  - New command stream: stream to console without files
  - New command profile: live statistic gathering
  - New command stat: show what can be enabled
  - New command hist: histogram of recorded events
  - New command mem: filter a trace for kernel slab allocator calls
  - New option: record --profile will enable the same defaults as used
    with trace-cmd profile
  - New option: report --event filter recorded events based on a regex
  - New option: report --profile produces identical output as trace-cmd profile
    except on recorded data instead of live data.
  - Resets all modifications to existing tracing options on completion
  - Trace multiple PIDs (-P x,y,z)
* Tue Mar 12 2013 mgorman@suse.com
- Upgrade to version 2.0.4
  - Have read splice check for EINTR or EAGAIN
  - Do not block during ring buffer extract
  - Do not block on reads when record is finished
  The read splice check is expected to be necessary for trace-cmd to
  work with Linux kernel versions 3.10 and later.
* Thu Dec 20 2012 tonyj@suse.com
- Upgrade to version v2.0.2
  Changelog:
  - Update README for plugins directory
  - trace-cmd: Move trace-cmd python modules to lib/
  - python: Fix further issues of struct record rename
- Fix libraries to install in /usr/lib64 on relevant archs. This adds
  an openSUSE-specific patch called "makefile-lib64.patch" that will
  not be pushed upstream.
* Mon Oct  8 2012 mgorman@suse.com
- Move to upstream stable version v2.0.1. Previously backported patches
  and openSUSE-specific path patches have been merged upstream in this
  version.
- Allow filtering by function names instead of pointers
- Numberous formatting fixes
- Many small stability fixes in the event parser, libtraceevent and trace-cmd.
  Off-by-one errors, potential memory leaks etc.
- Reduced memory and CPU usage. Closes file descriptors that pin kernel memory,
  avoids loading of python if python plugins are not in use.
* Fri Sep 28 2012 mgorman@suse.com
- Backport patches necessary for the "wakeup" plugin to collect
  actual data and report it without segmentation faults.
* Wed Sep 19 2012 mgorman@suse.com
- Depend on libxslt instead of xsltproc on older releases.
* Mon Sep 17 2012 mgorman@suse.com
- Initial package
